/*
  +---------------------------------+
  |                                 |
  |   Special printing functions.   |
  |                                 |
  +---------------------------------+
*/
#ifndef PRINT_DEF
#define PRINT_DEF

/*
  +------------------------+
  |                        |
  |   printf with flush.   |
  |                        |
  +------------------------+
*/
void uprintf( char *fmt, ...);

/*
  +-------------------------------------+
  |                                     |
  |   printf with flush and time tag.   |
  |                                     |
  +-------------------------------------+
*/
void tprintf( char *fmt, ...);

/*
  +-------------------------------------------+
  |                                           |
  |   Debug printf with flush and time tag.   |
  |                                           |
  +-------------------------------------------+
*/
extern int debug_print;
void dprintf( char *fmt, ...);

#endif
